Kerbal Space Program - Bug #25795

fragile parts no longer "broken by aero forces™
07/16/2020 10:09 PM - Anonymous

Status: Resolved Start date: 07/16/2020
Severity: Low % Done: 100%
Assignee: just_jim

Category: Gameplay

Target version: 1.10.1

Version: 1.10.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Extendable antennas and solar panels were formerly destroyed by 'aero forces' when moving quickly through sufficiently-dense air.
The attached save, loaded in 1.7.3 (or 1.9.1) has these fragile parts destroyed; the same save loaded in 1.10.0 has the parts survive.

Reported here
https://forum.kerbalspaceprogram.com/index.php?/topic/195440-arent-solar-panels-supposed-to-snap-off-during-re-entry/

where it was suggested this is possibly related to #25744, but there mechanical damage makes the solar panel non-functional, just
the graphics are wrong.

History

#1 - 07/16/2020 10:40 PM - just_jim
- Status changed from New to Confirmed
- Assignee set to just jim

- % Done changed from 0 to 10

#3 - 08/10/2020 03:51 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version setto 1.10.1

- % Done changed from 10 to 80

We've made some changes recently and would like some feedback on this issue.

#4 - 08/13/2020 09:29 AM - arctangent

| can confirm that at least the deployable solar panels are once again breaking correctly. Haven't tried an antenna yet.

#5 - 08/16/2020 05:24 AM - Anonymous
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Files

aero.sfs 56.9 KB 07/16/2020 Anonymous
